Subject: FW: NETCONF protocol IANA considerations & capability URNs

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 13 Sep 2005 17:00:44 +0200

I had a question that I asked to one of the APPS ADs.
Here is the answer. FYI and action

Bert

-----Original Message-----
From: Scott Hollenbeck [mailto:[email-masked]]
Sent: Tuesday, September 13, 2005 16:31
To: 'Wijnen, Bert (Bert)'
Subject: RE: NETCONF protocol IANA considerations & capability URNs

I'm very familiar with that situation.  There is no XML associated with a
namespace -- it's identified by a URI and a URI alone.  However, some people
apparently think that an XML-formatted description of the URI in the
registry is helpful.  I think it's unnecessary, but harmless.

The text you've copied below should probably leave the first XML field in
the template blank.  It's clearly not "this document".  The second one is OK
as long as appendix B is the appropriate XML Schema, nested between BEGIN
and END tags as described in RFC 3688.

-Scott-

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Tuesday, September 13, 2005 10:17 AM
> To: Scott Hollenbeck (E-mail)
> Subject: FW: NETCONF protocol IANA considerations & capability URNs
> 
> Scott, can you check the below, if it is correct and makes sense?
> 
> When I look at
>   http://www.iana.org/assignments/xml-registry/ns.html
> 
> I see that some do have XML, other state XML: non
> because a URI for a namespace does not have an XML spec.
> Mmm.. I need to read up more on how this works, unless
> you can help me easily.
> 
> Bert
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Rob Enns
> Sent: Tuesday, September 13, 2005 01:07
> To: Netconf (E-mail)
> Subject: NETCONF protocol IANA considerations & capability URNs
> 
> 
> Here is a proposed IANA considerations section for the NETCONF
> protocol draft. Also, while working through the various RFCs
> 3553 and 3688 I realized that the capability URNs shown in the
> NETCONF protocol draft are incorrect. 
> 
> The URNs currently have the form:
> 
> urn:ietf:params:xml:ns:netconf:capability:{name}:1.0
> 
> This says that the capability is an XML namespace as defined
> by RFC 3688. Strictly speaking, that is incorrect.
> 
> The capability URNs should really be a NETCONF protocol 
> parameter a la RFC 3553. Something like:
> 
> urn:ietf:params:netconf:capability:{name}:1.0
> 
> If the WG approves, I will make this change to the protocol draft.
> 
> Here is a proposed IANA considerations section assuming the
> capabilities are expressed as shown above. Please comment.
> 
> ----
> 
> 10.  IANA Considerations
> 
> 10.1.  NETCONF XML Namespace
> 
>    This document requests that IANA assign a URI for the NETCONF XML
>    namespace in the IETF XML registry [8].
> 
>    Following the format in RFC 3688, the following registration is
>    requested.
> 
>    URI: Please assign the URI "urn:ietf:params:xml:ns:netconf" for use
>    by the NETCONF protocol.
> 
>    Registrant Contact: The IESG.
> 
>    XML: This document.
> 
> 10.2.  NETCONF XML Schema
> 
>    This document requests that IANA assign a URI for the NETCONF XML
>    namespace in the IETF XML registry [8].
> 
>    Following the format in RFC 3688, the following registration is
>    requested.
> 
>    URI: Please assign the URI "urn:ietf:params:xml:schema:netconf" for
>    use by the NETCONF protocol.
> 
>    Registrant Contact: The IESG.
> 
>    XML: Appendix B of this document.
> 
> 10.3.  NETCONF Capability URNs
> 
>    This document requests that IANA create a registry for allocating
>    NETCONF capability identifiers.  Allocation from the 
> registry is on a
>    First Come First Served Basis, but a specification is required.
> 
>    The initial content of the registry will be the capability URNs
>    defined in Section 8.  Once further experience is gained with
>    NETCONF, this sub-namespace may be used for additional purposes.
> 
>    Following the guidelines in RFC 3553 [7], IANA is 
> requested to assign
>    a NETCONF sub-namespace as follows:
> 
>    Registry name: netconf
> 
>    Specification: This document.
> 
>    Repository: This document.
> 
>    Index value: The NETCONF capability name.
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: "Rob Enns" <[email-masked]>
Date: Tue, 13 Sep 2005 16:08:28 -0700

Got it, thanks.

Rob 

> Sent: Tuesday, September 13, 2005 8:01 AM
> To: Rob Enns; Netconf (E-mail)

---

From: "Rob Enns" <[email-masked]>
Date: Thu, 15 Sep 2005 10:25:38 -0700

I think that's what it says, yes. Identifying the schema in Appendix B
and marking it with BEGIN/END seems to imply that IANA will place
that XML in the registry (see section 4 of RFC 3688).

thanks,
 Rob 

> From: Ted Goddard [mailto:[email-masked]] 
> Sent: Thursday, September 15, 2005 8:13 AM
> To: Rob Enns; Netconf ((E-mail))
> Subject: Re: NETCONF protocol IANA considerations & capability URNs
> 
> 
> Do these IANA considerations also provide for placing the 
> NETCONF schema
> itself in the XML registry, such as with the conference-info XSD?
> 
> http://www.iana.org/assignments/xml-registry/schema/conference
> -info.xsd
> 
> http://www.iana.org/assignments/xml-registry/schema.html
> 
> Ted.
> 
> On 12-Sep-05, at 5:07 PM, Rob Enns wrote:
> 
> registry is  
> > on a
> >    Following the guidelines in RFC 3553 [7], IANA is requested to  
> > assign